/deleteCategorySchema: Delete Organization Category Schema

Example usage

Below is a sample ArcGIS Online POST request for the deleteCategorySchema operation:

POST /sharing/rest/portals/0123456789ABCDEF/deleteCategorySchema HTTP/1.1
Host: org.arcgis.com
Content-Type: application/x-www-form-urlencoded
Content-Length: []

f=pjson

Below is a sample ArcGIS Enterprise POST request for the deleteCategorySchema operation:

POST /webadaptor/sharing/rest/portals/0123456789ABCDEF/deleteCategorySchema HTTP/1.1
Host: machine.domain.com
Content-Type: application/x-www-form-urlencoded
Content-Length: []

f=pjson

Description

The deleteCategorySchema operation (POST only) removes the category schema set for the organization. It is only available to full organization administrators.

Request parameters

Parameter

Details

f

The response format. The default format is html.

Values: html | json | pjson

Response properties

Property

Details

success

Indicates if the operation was successful.

JSON Response syntax

{
  "success": true
}

JSON Response example

Below is a sample success response:

{
  "success": true
}

Below is a sample error response:

{
  "error": {
    "code": 404,
    "message": "Resource does not exist or is inaccessible.",
    "details": []
  }
}